Bug 113679 - New port:multimedia/smplayer A complete front-end based on QT for mplayer
Summary: New port:multimedia/smplayer A complete front-end based on QT for mplayer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-14 14:00 UTC by liu_yinghong
Modified: 2007-06-18 15:10 UTC (History)
1 user (show)

See Also:


Attachments
smplayer.shar (23.36 KB, text/plain)
2007-06-14 14:00 UTC, liu_yinghong
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description liu_yinghong 2007-06-02 16:03:07 UTC
Add the build depend:port:devel/qmake. thanks!

--- Makefile.org	Sat Jun  2 22:57:08 2007
+++ Makefile	Sat Jun  2 22:57:50 2007
@@ -17,6 +17,7 @@
 MAINTAINER=	liu_yinghong@yahoo.com.cn
 COMMENT=	A complete front-end based on QT for mplayer
 
+BUILD_DEPENDS=	qmake:${PORTSDIR}/devel/qmake
 RUN_DEPENDS=	mplayer:${PORTSDIR}/multimedia/mplayer
 
 USE_GMAKE=	yes
Comment 1 liu_yinghong 2007-06-02 21:45:25 UTC
Sorry! There has a mistake. In multimedia/smplayer/Makefile line 51:
xpost-install:
will be:
post-install:
Thanks!

http://www.freebsd.org/cgi/query-pr.cgi?pr=113679
Comment 2 liu_yinghong 2007-06-14 14:00:09 UTC
smplayer intents to be a complete front-end for mplayer,from
basic features like playing videos, dvds, vcdsto more advancing
features like support for mplayer filters,edl lists, and more.

WWW: http://smplayer.sourceforge.net/
Comment 3 Rong-En Fan freebsd_committer 2007-06-14 23:28:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 4 liu_yinghong 2007-06-16 06:01:53 UTC
Refresh the port:multimedia/smplayer and add slave port:multimedia/smplayer-qt4.but when create slave port:multimedia/smplayer-qt4 appear some problem.Please see the Makefile of smplayer-qt4' note.


--- smplayer-2.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	smplayer
#	smplayer/Makefile
#	smplayer/distinfo
#	smplayer/files
#	smplayer/pkg-descr
#	smplayer/pkg-plist
#	smplayer/files/patch-Makefile
#
echo c - smplayer
mkdir -p smplayer > /dev/null 2>&1
echo x - smplayer/Makefile
sed 's/^X//' >smplayer/Makefile << 'END-of-smplayer/Makefile'
X# New ports collection makefile for:	smplayer
X# Date created:				13 Jun, 2007
X# Whom:	Diego Depaoli <trebestie@gmail.com> and Yinghong.Liu <liu_yinghong@yahoo.com.cn>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	smplayer
XDISTVERSION=	0.5.0
XCATEGORIES=	multimedia audio kde
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=${PORTNAME}
XDISTFILES=	${PORTNAME}-${PORTVERSION}.tar.gz \
X		${PORTNAME}-themes-0.1.1.tar.gz
XEXTRACT_ONLY=	${DISTFILES}
X
XMAINTAINER=	liu_yinghong@yahoo.com.cn
XCOMMENT?=	A complete front-end based on QT3 for mplayer
X
XRUN_DEPENDS=	mplayer:${PORTSDIR}/multimedia/mplayer
X
X.if !defined(PKGNAMESUFFIX)
XBUILD_DEPENDS?=	qmake:${PORTSDIR}/devel/qmake
XUSE_QT_VER?=	3
XQTDIR?=		${QT_PREFIX}
XQMAKE?=		${QT_PREFIX}/bin/qmake
XMAKE_ENV+=	QTDIR=${QTDIR} \
X		QMAKESPEC=${LOCALBASE}/share/qt/mkspecs/freebsd-g++
XALL_TARGET?=	src/smplayer
X.endif
X
X# ${WRKSRC}/Makefile can't use 'make'.
XUSE_GMAKE=	yes
XINSTALLS_ICONS=	yes
X
XPORTDOCS=	Changelog Configurable_shortcuts.txt Install.txt \
X		Copying.txt Not_so_obvious_things.txt Translations.txt \
X		Icon_themes.txt Readme.txt
X
X.if defined (WITH_KDE_SUPPORT) && !defined(PKGNAMESUFFIX)
XUSE_KDELIBS_VER=3
XMAKE_ARGS+=	KDE_SUPPORT=1
X.endif
X
Xpost-patch:
X	@${REINPLACE_CMD} -e 's|qmake|${QMAKE}|g' \
X		-e 's|PREFIX=/usr/local|PREFIX=${PREFIX}|g' \
X		${WRKSRC}/Makefile \
X		${WRKDIR}/${PORTNAME}-themes-0.1.1/Makefile
X
xpost-install:
X	cd ${WRKDIR}/${PORTNAME}-themes-0.1.1 \
X		&& ${SETENV} ${MAKE_ENV} ${GMAKE}
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X.for doc in ${PORTDOCS}
X	@${INSTALL_DATA} ${WRKSRC}/${doc} ${DOCSDIR}
X.endfor
X.endif
X
X.include <bsd.port.mk>
END-of-smplayer/Makefile
echo x - smplayer/distinfo
sed 's/^X//' >smplayer/distinfo << 'END-of-smplayer/distinfo'
XMD5 (smplayer-0.5.0.tar.gz) = e3282320cb1b186e601511ec51bacdbe
XSHA256 (smplayer-0.5.0.tar.gz) = bb7813566efc0e62d52c68791d6281f66714b3498f5fdc9c5240986ec466a33c
XSIZE (smplayer-0.5.0.tar.gz) = 917326
XMD5 (smplayer-themes-0.1.1.tar.gz) = 1c1e241522ba0262b1363e3acebb3e32
XSHA256 (smplayer-themes-0.1.1.tar.gz) = ec6a0296ee7cc18a5f1db6c6eef2fda1a2cfb61f54523de15e4caad8046912a3
XSIZE (smplayer-themes-0.1.1.tar.gz) = 1118058
END-of-smplayer/distinfo
echo c - smplayer/files
mkdir -p smplayer/files > /dev/null 2>&1
echo x - smplayer/pkg-descr
sed 's/^X//' >smplayer/pkg-descr << 'END-of-smplayer/pkg-descr'
Xsmplayer intents to be a complete front-end for mplayer,from
Xbasic features like playing videos, dvds, vcdsto more advancing
Xfeatures like support for mplayer filters,edl lists, and more.
X
XWWW: http://smplayer.sourceforge.net/
END-of-smplayer/pkg-descr
echo x - smplayer/pkg-plist
sed 's/^X//' >smplayer/pkg-plist << 'END-of-smplayer/pkg-plist'
Xbin/smplayer
Xshare/applications/smplayer.desktop
Xshare/icons/hicolor/16x16/apps/smplayer.png
Xshare/icons/hicolor/22x22/apps/smplayer.png
Xshare/icons/hicolor/32x32/apps/smplayer.png
Xshare/icons/hicolor/64x64/apps/smplayer.png
X%%DATADIR%%/input.conf
X%%DATADIR%%/shortcuts/default.keys
X%%DATADIR%%/themes/Oxygen/README.txt
X%%DATADIR%%/themes/Oxygen/cdrom_drive.png
X%%DATADIR%%/themes/Oxygen/copy.png
X%%DATADIR%%/themes/Oxygen/down.png
X%%DATADIR%%/themes/Oxygen/dvd.png
X%%DATADIR%%/themes/Oxygen/dvd_drive.png
X%%DATADIR%%/themes/Oxygen/dvd_hd.png
X%%DATADIR%%/themes/Oxygen/exit.png
X%%DATADIR%%/themes/Oxygen/forward10m.png
X%%DATADIR%%/themes/Oxygen/forward10s.png
X%%DATADIR%%/themes/Oxygen/forward1m.png
X%%DATADIR%%/themes/Oxygen/fullscreen.png
X%%DATADIR%%/themes/Oxygen/info.png
X%%DATADIR%%/themes/Oxygen/logs.png
X%%DATADIR%%/themes/Oxygen/monitor.png
X%%DATADIR%%/themes/Oxygen/mouse.png
X%%DATADIR%%/themes/Oxygen/ok.png
X%%DATADIR%%/themes/Oxygen/open.png
X%%DATADIR%%/themes/Oxygen/openfolder.png
X%%DATADIR%%/themes/Oxygen/pause.png
X%%DATADIR%%/themes/Oxygen/play.png
X%%DATADIR%%/themes/Oxygen/playlist.png
X%%DATADIR%%/themes/Oxygen/pref_advanced.png
X%%DATADIR%%/themes/Oxygen/pref_devices.png
X%%DATADIR%%/themes/Oxygen/pref_general.png
X%%DATADIR%%/themes/Oxygen/pref_gui.png
X%%DATADIR%%/themes/Oxygen/pref_performance.png
X%%DATADIR%%/themes/Oxygen/pref_subtitles.png
X%%DATADIR%%/themes/Oxygen/prefs.png
X%%DATADIR%%/themes/Oxygen/previous.png
X%%DATADIR%%/themes/Oxygen/save.png
X%%DATADIR%%/themes/Oxygen/screenshot.png
X%%DATADIR%%/themes/Oxygen/speaker.png
X%%DATADIR%%/themes/Oxygen/stop.png
X%%DATADIR%%/themes/Oxygen/up.png
X%%DATADIR%%/themes/Oxygen/url.png
X%%DATADIR%%/themes/Oxygen/volume.png
X%%DATADIR%%/themes/Oxygen/xnext.png
X%%DATADIR%%/themes/Oxygen/xrepeat-old.png
X%%DATADIR%%/themes/Oxygen/xrepeat.png
X%%DATADIR%%/themes/Oxygen/xresize_window.png
X%%DATADIR%%/themes/Oxygen/xrewind10m.png
X%%DATADIR%%/themes/Oxygen/xrewind10s.png
X%%DATADIR%%/themes/Oxygen/xrewind1m.png
X%%DATADIR%%/themes/Play/audio_channels.png
X%%DATADIR%%/themes/Play/background.png
X%%DATADIR%%/themes/Play/down.png
X%%DATADIR%%/themes/Play/file_codecs.png
X%%DATADIR%%/themes/Play/forward10m.png
X%%DATADIR%%/themes/Play/forward10s.png
X%%DATADIR%%/themes/Play/forward1m.png
X%%DATADIR%%/themes/Play/fullscreen.png
X%%DATADIR%%/themes/Play/mute.png
X%%DATADIR%%/themes/Play/ok.png
X%%DATADIR%%/themes/Play/osd.png
X%%DATADIR%%/themes/Play/pause.png
X%%DATADIR%%/themes/Play/play.png
X%%DATADIR%%/themes/Play/previous.png
X%%DATADIR%%/themes/Play/screenshot.png
X%%DATADIR%%/themes/Play/speaker.png
X%%DATADIR%%/themes/Play/speed.png
X%%DATADIR%%/themes/Play/stereo_mode.png
X%%DATADIR%%/themes/Play/stop.png
X%%DATADIR%%/themes/Play/style.qss
X%%DATADIR%%/themes/Play/up.png
X%%DATADIR%%/themes/Play/volume.png
X%%DATADIR%%/themes/Play/xnext.png
X%%DATADIR%%/themes/Play/xrewind10m.png
X%%DATADIR%%/themes/Play/xrewind10s.png
X%%DATADIR%%/themes/Play/xrewind1m.png
X%%DATADIR%%/themes/Silk/angle.png
X%%DATADIR%%/themes/Silk/aspect.png
X%%DATADIR%%/themes/Silk/audio_channels.png
X%%DATADIR%%/themes/Silk/audio_down.png
X%%DATADIR%%/themes/Silk/audio_track.png
X%%DATADIR%%/themes/Silk/audio_up.png
X%%DATADIR%%/themes/Silk/chapter.png
X%%DATADIR%%/themes/Silk/compact.png
X%%DATADIR%%/themes/Silk/copy.png
X%%DATADIR%%/themes/Silk/delay_down.png
X%%DATADIR%%/themes/Silk/delay_up.png
X%%DATADIR%%/themes/Silk/delete.png
X%%DATADIR%%/themes/Silk/down.png
X%%DATADIR%%/themes/Silk/dvd.png
X%%DATADIR%%/themes/Silk/dvd_hd.png
X%%DATADIR%%/themes/Silk/equalizer.png
X%%DATADIR%%/themes/Silk/exit.png
X%%DATADIR%%/themes/Silk/file_codecs.png
X%%DATADIR%%/themes/Silk/forward10m.png
X%%DATADIR%%/themes/Silk/forward10s.png
X%%DATADIR%%/themes/Silk/forward1m.png
X%%DATADIR%%/themes/Silk/frame_step.png
X%%DATADIR%%/themes/Silk/fullscreen.png
X%%DATADIR%%/themes/Silk/info.png
X%%DATADIR%%/themes/Silk/logs.png
X%%DATADIR%%/themes/Silk/minus.png
X%%DATADIR%%/themes/Silk/mute.png
X%%DATADIR%%/themes/Silk/ok.png
X%%DATADIR%%/themes/Silk/ontop.png
X%%DATADIR%%/themes/Silk/open.png
X%%DATADIR%%/themes/Silk/open_playlist.png
X%%DATADIR%%/themes/Silk/open_playlist2.png
X%%DATADIR%%/themes/Silk/openfolder.png
X%%DATADIR%%/themes/Silk/osd.png
X%%DATADIR%%/themes/Silk/pause.png
X%%DATADIR%%/themes/Silk/play.png
X%%DATADIR%%/themes/Silk/player_start.png
X%%DATADIR%%/themes/Silk/playlist.png
X%%DATADIR%%/themes/Silk/plus.png
X%%DATADIR%%/themes/Silk/pref_advanced.png
X%%DATADIR%%/themes/Silk/pref_devices.png
X%%DATADIR%%/themes/Silk/pref_general.png
X%%DATADIR%%/themes/Silk/pref_gui.png
X%%DATADIR%%/themes/Silk/pref_performance.png
X%%DATADIR%%/themes/Silk/pref_subtitles.png
X%%DATADIR%%/themes/Silk/prefs.png
X%%DATADIR%%/themes/Silk/previous.png
X%%DATADIR%%/themes/Silk/readme.txt
X%%DATADIR%%/themes/Silk/save.png
X%%DATADIR%%/themes/Silk/screenshot.png
X%%DATADIR%%/themes/Silk/shuffle.png
X%%DATADIR%%/themes/Silk/speed.png
X%%DATADIR%%/themes/Silk/stereo_mode.png
X%%DATADIR%%/themes/Silk/stop.png
X%%DATADIR%%/themes/Silk/sub.png
X%%DATADIR%%/themes/Silk/sub_down.png
X%%DATADIR%%/themes/Silk/sub_up.png
X%%DATADIR%%/themes/Silk/up.png
X%%DATADIR%%/themes/Silk/url.png
X%%DATADIR%%/themes/Silk/video.png
X%%DATADIR%%/themes/Silk/video_filters.png
X%%DATADIR%%/themes/Silk/volume.png
X%%DATADIR%%/themes/Silk/xnext.png
X%%DATADIR%%/themes/Silk/xrecents.png
X%%DATADIR%%/themes/Silk/xrepeat.png
X%%DATADIR%%/themes/Silk/xrewind10m.png
X%%DATADIR%%/themes/Silk/xrewind10s.png
X%%DATADIR%%/themes/Silk/xrewind1m.png
X%%DATADIR%%/themes/Silk/xtitle.png
X%%DATADIR%%/themes/blackPanther-Light/Readme.txt
X%%DATADIR%%/themes/blackPanther-Light/aspect.png
X%%DATADIR%%/themes/blackPanther-Light/background.png
X%%DATADIR%%/themes/blackPanther-Light/cdrom_drive.png
X%%DATADIR%%/themes/blackPanther-Light/chapter.png
X%%DATADIR%%/themes/blackPanther-Light/down.png
X%%DATADIR%%/themes/blackPanther-Light/dvd.png
X%%DATADIR%%/themes/blackPanther-Light/dvd_drive.png
X%%DATADIR%%/themes/blackPanther-Light/dvd_hd.png
X%%DATADIR%%/themes/blackPanther-Light/exit.png
X%%DATADIR%%/themes/blackPanther-Light/fileopen.png
X%%DATADIR%%/themes/blackPanther-Light/forward10m.png
X%%DATADIR%%/themes/blackPanther-Light/forward10s.png
X%%DATADIR%%/themes/blackPanther-Light/forward1m.png
X%%DATADIR%%/themes/blackPanther-Light/fullscreen.png
X%%DATADIR%%/themes/blackPanther-Light/info.png
X%%DATADIR%%/themes/blackPanther-Light/input_devices.png
X%%DATADIR%%/themes/blackPanther-Light/keyboard.png
X%%DATADIR%%/themes/blackPanther-Light/logs.png
X%%DATADIR%%/themes/blackPanther-Light/monitor.png
X%%DATADIR%%/themes/blackPanther-Light/mouse.png
X%%DATADIR%%/themes/blackPanther-Light/mute.png
X%%DATADIR%%/themes/blackPanther-Light/ok.png
X%%DATADIR%%/themes/blackPanther-Light/open.png
X%%DATADIR%%/themes/blackPanther-Light/openfolder.png
X%%DATADIR%%/themes/blackPanther-Light/pause.png
X%%DATADIR%%/themes/blackPanther-Light/play.png
X%%DATADIR%%/themes/blackPanther-Light/playlist.png
X%%DATADIR%%/themes/blackPanther-Light/plus.png
X%%DATADIR%%/themes/blackPanther-Light/pref_advanced.png
X%%DATADIR%%/themes/blackPanther-Light/pref_devices.png
X%%DATADIR%%/themes/blackPanther-Light/pref_general.png
X%%DATADIR%%/themes/blackPanther-Light/pref_gui.png
X%%DATADIR%%/themes/blackPanther-Light/pref_performance.png
X%%DATADIR%%/themes/blackPanther-Light/pref_subtitles.png
X%%DATADIR%%/themes/blackPanther-Light/prefs.png
X%%DATADIR%%/themes/blackPanther-Light/preview.png
X%%DATADIR%%/themes/blackPanther-Light/previous.png
X%%DATADIR%%/themes/blackPanther-Light/save.png
X%%DATADIR%%/themes/blackPanther-Light/screenshot.png
X%%DATADIR%%/themes/blackPanther-Light/speaker.png
X%%DATADIR%%/themes/blackPanther-Light/speed.png
X%%DATADIR%%/themes/blackPanther-Light/stop.png
X%%DATADIR%%/themes/blackPanther-Light/sub.png
X%%DATADIR%%/themes/blackPanther-Light/up.png
X%%DATADIR%%/themes/blackPanther-Light/url.png
X%%DATADIR%%/themes/blackPanther-Light/video.png
X%%DATADIR%%/themes/blackPanther-Light/volume.png
X%%DATADIR%%/themes/blackPanther-Light/xnext.png
X%%DATADIR%%/themes/blackPanther-Light/xrepeat.png
X%%DATADIR%%/themes/blackPanther-Light/xrewind10m.png
X%%DATADIR%%/themes/blackPanther-Light/xrewind10s.png
X%%DATADIR%%/themes/blackPanther-Light/xrewind1m.png
X%%DATADIR%%/themes/blackPanther-Light/xtitle.png
X%%DATADIR%%/themes/blackPanther-MacLike/aspect..png
X%%DATADIR%%/themes/blackPanther-MacLike/aspect.png
X%%DATADIR%%/themes/blackPanther-MacLike/background.png
X%%DATADIR%%/themes/blackPanther-MacLike/cdrom_drive.png
X%%DATADIR%%/themes/blackPanther-MacLike/chapter.png
X%%DATADIR%%/themes/blackPanther-MacLike/compact.png
X%%DATADIR%%/themes/blackPanther-MacLike/copy.png
X%%DATADIR%%/themes/blackPanther-MacLike/delete.png
X%%DATADIR%%/themes/blackPanther-MacLike/down.png
X%%DATADIR%%/themes/blackPanther-MacLike/dvd.png
X%%DATADIR%%/themes/blackPanther-MacLike/dvd_drive.png
X%%DATADIR%%/themes/blackPanther-MacLike/dvd_hd.png
X%%DATADIR%%/themes/blackPanther-MacLike/edit.png
X%%DATADIR%%/themes/blackPanther-MacLike/exit.png
X%%DATADIR%%/themes/blackPanther-MacLike/forward10m.png
X%%DATADIR%%/themes/blackPanther-MacLike/forward10s.png
X%%DATADIR%%/themes/blackPanther-MacLike/forward1m.png
X%%DATADIR%%/themes/blackPanther-MacLike/fullscreen.png
X%%DATADIR%%/themes/blackPanther-MacLike/info.png
X%%DATADIR%%/themes/blackPanther-MacLike/input_devices.png
X%%DATADIR%%/themes/blackPanther-MacLike/keyboard.png
X%%DATADIR%%/themes/blackPanther-MacLike/logs.png
X%%DATADIR%%/themes/blackPanther-MacLike/minus.png
X%%DATADIR%%/themes/blackPanther-MacLike/monitor.png
X%%DATADIR%%/themes/blackPanther-MacLike/mouse.png
X%%DATADIR%%/themes/blackPanther-MacLike/mute.png
X%%DATADIR%%/themes/blackPanther-MacLike/ok.png
X%%DATADIR%%/themes/blackPanther-MacLike/open.png
X%%DATADIR%%/themes/blackPanther-MacLike/openfolder.png
X%%DATADIR%%/themes/blackPanther-MacLike/pause.png
X%%DATADIR%%/themes/blackPanther-MacLike/play.png
X%%DATADIR%%/themes/blackPanther-MacLike/playlist.png
X%%DATADIR%%/themes/blackPanther-MacLike/plus.png
X%%DATADIR%%/themes/blackPanther-MacLike/pref_advanced.png
X%%DATADIR%%/themes/blackPanther-MacLike/pref_devices.png
X%%DATADIR%%/themes/blackPanther-MacLike/pref_general.png
X%%DATADIR%%/themes/blackPanther-MacLike/pref_gui.png
X%%DATADIR%%/themes/blackPanther-MacLike/pref_performance.png
X%%DATADIR%%/themes/blackPanther-MacLike/pref_subtitles.png
X%%DATADIR%%/themes/blackPanther-MacLike/prefs.png
X%%DATADIR%%/themes/blackPanther-MacLike/previous.png
X%%DATADIR%%/themes/blackPanther-MacLike/save.png
X%%DATADIR%%/themes/blackPanther-MacLike/screenshot.png
X%%DATADIR%%/themes/blackPanther-MacLike/shuffle.png
X%%DATADIR%%/themes/blackPanther-MacLike/speaker.png
X%%DATADIR%%/themes/blackPanther-MacLike/speed.png
X%%DATADIR%%/themes/blackPanther-MacLike/stop.png
X%%DATADIR%%/themes/blackPanther-MacLike/sub.png
X%%DATADIR%%/themes/blackPanther-MacLike/up.png
X%%DATADIR%%/themes/blackPanther-MacLike/url.png
X%%DATADIR%%/themes/blackPanther-MacLike/view_choose.png
X%%DATADIR%%/themes/blackPanther-MacLike/volume.png
X%%DATADIR%%/themes/blackPanther-MacLike/xnext.png
X%%DATADIR%%/themes/blackPanther-MacLike/xrepeat.png
X%%DATADIR%%/themes/blackPanther-MacLike/xresize_window.png
X%%DATADIR%%/themes/blackPanther-MacLike/xrewind10m.png
X%%DATADIR%%/themes/blackPanther-MacLike/xrewind10s.png
X%%DATADIR%%/themes/blackPanther-MacLike/xrewind1m.png
X%%DATADIR%%/themes/blackPanther-MacLike/xtitle.png
X%%DATADIR%%/themes/blackPanther-Real/Readme.txt
X%%DATADIR%%/themes/blackPanther-Real/aspect.png
X%%DATADIR%%/themes/blackPanther-Real/background.png
X%%DATADIR%%/themes/blackPanther-Real/cdrom_drive.png
X%%DATADIR%%/themes/blackPanther-Real/chapter.png
X%%DATADIR%%/themes/blackPanther-Real/copy.png
X%%DATADIR%%/themes/blackPanther-Real/delete.png
X%%DATADIR%%/themes/blackPanther-Real/down.png
X%%DATADIR%%/themes/blackPanther-Real/dvd.png
X%%DATADIR%%/themes/blackPanther-Real/dvd_drive.png
X%%DATADIR%%/themes/blackPanther-Real/dvd_hd.png
X%%DATADIR%%/themes/blackPanther-Real/exit.png
X%%DATADIR%%/themes/blackPanther-Real/forward10m.png
X%%DATADIR%%/themes/blackPanther-Real/forward10s.png
X%%DATADIR%%/themes/blackPanther-Real/forward1m.png
X%%DATADIR%%/themes/blackPanther-Real/fullscreen.png
X%%DATADIR%%/themes/blackPanther-Real/info.png
X%%DATADIR%%/themes/blackPanther-Real/input_devices.png
X%%DATADIR%%/themes/blackPanther-Real/keyboard.png
X%%DATADIR%%/themes/blackPanther-Real/logs.png
X%%DATADIR%%/themes/blackPanther-Real/minus.png
X%%DATADIR%%/themes/blackPanther-Real/monitor.png
X%%DATADIR%%/themes/blackPanther-Real/mouse.png
X%%DATADIR%%/themes/blackPanther-Real/mute.png
X%%DATADIR%%/themes/blackPanther-Real/ok.png
X%%DATADIR%%/themes/blackPanther-Real/open.png
X%%DATADIR%%/themes/blackPanther-Real/openfolder.png
X%%DATADIR%%/themes/blackPanther-Real/pause.png
X%%DATADIR%%/themes/blackPanther-Real/play.png
X%%DATADIR%%/themes/blackPanther-Real/playlist.png
X%%DATADIR%%/themes/blackPanther-Real/plus.png
X%%DATADIR%%/themes/blackPanther-Real/pref_advanced.png
X%%DATADIR%%/themes/blackPanther-Real/pref_devices.png
X%%DATADIR%%/themes/blackPanther-Real/pref_general.png
X%%DATADIR%%/themes/blackPanther-Real/pref_gui.png
X%%DATADIR%%/themes/blackPanther-Real/pref_performance.png
X%%DATADIR%%/themes/blackPanther-Real/pref_subtitles.png
X%%DATADIR%%/themes/blackPanther-Real/prefs.png
X%%DATADIR%%/themes/blackPanther-Real/previous.png
X%%DATADIR%%/themes/blackPanther-Real/save.png
X%%DATADIR%%/themes/blackPanther-Real/screenshot.png
X%%DATADIR%%/themes/blackPanther-Real/shuffle.png
X%%DATADIR%%/themes/blackPanther-Real/speaker.png
X%%DATADIR%%/themes/blackPanther-Real/speed.png
X%%DATADIR%%/themes/blackPanther-Real/stop.png
X%%DATADIR%%/themes/blackPanther-Real/sub.png
X%%DATADIR%%/themes/blackPanther-Real/sub1.png
X%%DATADIR%%/themes/blackPanther-Real/up.png
X%%DATADIR%%/themes/blackPanther-Real/url.png
X%%DATADIR%%/themes/blackPanther-Real/video.png
X%%DATADIR%%/themes/blackPanther-Real/video2.png
X%%DATADIR%%/themes/blackPanther-Real/volume-max.png
X%%DATADIR%%/themes/blackPanther-Real/volume-zero.png
X%%DATADIR%%/themes/blackPanther-Real/volume.png
X%%DATADIR%%/themes/blackPanther-Real/xnext.png
X%%DATADIR%%/themes/blackPanther-Real/xrepeat.png
X%%DATADIR%%/themes/blackPanther-Real/xresize_window.png
X%%DATADIR%%/themes/blackPanther-Real/xrewind10m.png
X%%DATADIR%%/themes/blackPanther-Real/xrewind10s.png
X%%DATADIR%%/themes/blackPanther-Real/xrewind1m.png
X%%DATADIR%%/themes/blackPanther-Real/xtitle.png
X%%DATADIR%%/themes/blackPanther-VistaLike/Readme.txt
X%%DATADIR%%/themes/blackPanther-VistaLike/background.png
X%%DATADIR%%/themes/blackPanther-VistaLike/cdrom_drive.png
X%%DATADIR%%/themes/blackPanther-VistaLike/copy.png
X%%DATADIR%%/themes/blackPanther-VistaLike/down.png
X%%DATADIR%%/themes/blackPanther-VistaLike/dvd.png
X%%DATADIR%%/themes/blackPanther-VistaLike/dvd_drive.png
X%%DATADIR%%/themes/blackPanther-VistaLike/dvd_hd.png
X%%DATADIR%%/themes/blackPanther-VistaLike/exit.png
X%%DATADIR%%/themes/blackPanther-VistaLike/finish.png
X%%DATADIR%%/themes/blackPanther-VistaLike/folder_new.png
X%%DATADIR%%/themes/blackPanther-VistaLike/forward10m.png
X%%DATADIR%%/themes/blackPanther-VistaLike/forward10s.png
X%%DATADIR%%/themes/blackPanther-VistaLike/forward1m.png
X%%DATADIR%%/themes/blackPanther-VistaLike/imput_devices.png
X%%DATADIR%%/themes/blackPanther-VistaLike/info.png
X%%DATADIR%%/themes/blackPanther-VistaLike/logs.png
X%%DATADIR%%/themes/blackPanther-VistaLike/minus.png
X%%DATADIR%%/themes/blackPanther-VistaLike/monitor.png
X%%DATADIR%%/themes/blackPanther-VistaLike/mouse.png
X%%DATADIR%%/themes/blackPanther-VistaLike/mute.png
X%%DATADIR%%/themes/blackPanther-VistaLike/ok.png
X%%DATADIR%%/themes/blackPanther-VistaLike/open.png
X%%DATADIR%%/themes/blackPanther-VistaLike/openfolder.png
X%%DATADIR%%/themes/blackPanther-VistaLike/pause.png
X%%DATADIR%%/themes/blackPanther-VistaLike/play.png
X%%DATADIR%%/themes/blackPanther-VistaLike/player_start.png
X%%DATADIR%%/themes/blackPanther-VistaLike/player_volume.png
X%%DATADIR%%/themes/blackPanther-VistaLike/playlist.png
X%%DATADIR%%/themes/blackPanther-VistaLike/plus.png
X%%DATADIR%%/themes/blackPanther-VistaLike/pref_advanced.png
X%%DATADIR%%/themes/blackPanther-VistaLike/pref_devices.png
X%%DATADIR%%/themes/blackPanther-VistaLike/pref_general.png
X%%DATADIR%%/themes/blackPanther-VistaLike/pref_gui.png
X%%DATADIR%%/themes/blackPanther-VistaLike/pref_performance.png
X%%DATADIR%%/themes/blackPanther-VistaLike/pref_subtitles.png
X%%DATADIR%%/themes/blackPanther-VistaLike/prefs.png
X%%DATADIR%%/themes/blackPanther-VistaLike/preview.jpg
X%%DATADIR%%/themes/blackPanther-VistaLike/previous.png
X%%DATADIR%%/themes/blackPanther-VistaLike/save.png
X%%DATADIR%%/themes/blackPanther-VistaLike/speaker.png
X%%DATADIR%%/themes/blackPanther-VistaLike/speed.png
X%%DATADIR%%/themes/blackPanther-VistaLike/stop.png
X%%DATADIR%%/themes/blackPanther-VistaLike/up.png
X%%DATADIR%%/themes/blackPanther-VistaLike/url.png
X%%DATADIR%%/themes/blackPanther-VistaLike/volume.png
X%%DATADIR%%/themes/blackPanther-VistaLike/xnext.png
X%%DATADIR%%/themes/blackPanther-VistaLike/xrepeat.png
X%%DATADIR%%/themes/blackPanther-VistaLike/xresize_window.png
X%%DATADIR%%/themes/blackPanther-VistaLike/xrewind10m.png
X%%DATADIR%%/themes/blackPanther-VistaLike/xrewind10s.png
X%%DATADIR%%/themes/blackPanther-VistaLike/xrewind1m.png
X%%DATADIR%%/themes/blackPanther-VistaLike/xtitle.png
X%%DATADIR%%/translations/smplayer_bg.qm
X%%DATADIR%%/translations/smplayer_cs.qm
X%%DATADIR%%/translations/smplayer_de.qm
X%%DATADIR%%/translations/smplayer_en_US.qm
X%%DATADIR%%/translations/smplayer_es.qm
X%%DATADIR%%/translations/smplayer_fr.qm
X%%DATADIR%%/translations/smplayer_hu.qm
X%%DATADIR%%/translations/smplayer_it.qm
X%%DATADIR%%/translations/smplayer_ja.qm
X%%DATADIR%%/translations/smplayer_ka.qm
X%%DATADIR%%/translations/smplayer_nl.qm
X%%DATADIR%%/translations/smplayer_pl.qm
X%%DATADIR%%/translations/smplayer_pt_BR.qm
X%%DATADIR%%/translations/smplayer_ru_RU.qm
X%%DATADIR%%/translations/smplayer_sk.qm
X%%DATADIR%%/translations/smplayer_sr.qm
X%%DATADIR%%/translations/smplayer_sv.qm
X%%DATADIR%%/translations/smplayer_tr.qm
X%%DATADIR%%/translations/smplayer_uk_UA.qm
X%%DATADIR%%/translations/smplayer_zh_CN.qm
X%%DATADIR%%/translations/smplayer_zh_TW.qm
X@dirrm %%DATADIR%%/translations
X@dirrm %%DATADIR%%/themes/blackPanther-VistaLike
X@dirrm %%DATADIR%%/themes/blackPanther-Real
X@dirrm %%DATADIR%%/themes/blackPanther-MacLike
X@dirrm %%DATADIR%%/themes/blackPanther-Light
X@dirrm %%DATADIR%%/themes/Silk
X@dirrm %%DATADIR%%/themes/Play
X@dirrm %%DATADIR%%/themes/Oxygen
X@dirrm %%DATADIR%%/themes
X@dirrm %%DATADIR%%/shortcuts
X@dirrm %%DATADIR%%
X@dirrmtry share/icons/hicolor/64x64/apps
X@dirrmtry share/icons/hicolor/64x64
X@dirrmtry share/icons/hicolor/32x32/apps
X@dirrmtry share/icons/hicolor/32x32
X@dirrmtry share/icons/hicolor/22x22/apps
X@dirrmtry share/icons/hicolor/22x22
X@dirrmtry share/icons/hicolor/16x16/apps
X@dirrmtry share/icons/hicolor/16x16
X@dirrmtry share/icons/hicolor
X@dirrmtry share/icons
X@dirrmtry share/applications
END-of-smplayer/pkg-plist
echo x - smplayer/files/patch-Makefile
sed 's/^X//' >smplayer/files/patch-Makefile << 'END-of-smplayer/files/patch-Makefile'
X--- Makefile.orig	Thu Jun 14 20:12:01 2007
X+++ Makefile	Thu Jun 14 20:13:14 2007
X@@ -5,7 +5,6 @@
X CONF_PREFIX=$(PREFIX)
X 
X DATA_PATH=$(PREFIX)/share/smplayer
X-DOC_PATH=$(PREFIX)/share/doc/packages/smplayer
X TRANSLATION_PATH=$(PREFIX)/share/smplayer/translations
X CONF_PATH=$(CONF_PREFIX)/etc/smplayer
X THEMES_PATH=$(PREFIX)/share/smplayer/themes
X@@ -22,7 +21,7 @@
X 
X DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" CONF_PATH=\\\"$(CONF_PATH)\\\" \
X      TRANSLATION_PATH=\\\"$(TRANSLATION_PATH)\\\" \
X-     DOC_PATH=\\\"$(DOC_PATH)\\\" THEMES_PATH=\\\"$(THEMES_PATH)\\\" \
X+     THEMES_PATH=\\\"$(THEMES_PATH)\\\" \
X      SHORTCUTS_PATH=\\\"$(SHORTCUTS_PATH)\\\"
X 
X 
X@@ -58,8 +57,6 @@
X 	install -m 644 src/input.conf $(DESTDIR)$(DATA_PATH)
X 	-install -d $(DESTDIR)$(TRANSLATION_PATH)
X 	install -m 644 src/translations/*.qm $(DESTDIR)$(TRANSLATION_PATH)
X-	-install -d $(DESTDIR)$(DOC_PATH)
X-	install -m 644 Changelog *.txt $(DESTDIR)$(DOC_PATH)
X 
X 	-install -d $(DESTDIR)$(SHORTCUTS_PATH)
X 	cp src/shortcuts/* $(DESTDIR)$(SHORTCUTS_PATH)
X@@ -79,8 +76,6 @@
X 	-rm $(PREFIX)/bin/smplayer
X 	-rm $(DATA_PATH)/input.conf
X 	-rm $(TRANSLATION_PATH)/*.qm
X-	-rm $(DOC_PATH)/Changelog
X-	-rm $(DOC_PATH)/*.txt
X 	-rm $(SHORTCUTS_PATH)/*.keys
X 	-rm $(KDE_ICONS)/64x64/apps/smplayer.png
X 	-rm $(KDE_ICONS)/32x32/apps/smplayer.png
X@@ -88,5 +83,4 @@
X 	-rm $(KDE_ICONS)/16x16/apps/smplayer.png
X 	-rm $(KDE_APPLNK)/smplayer.desktop
X 	-rmdir $(TRANSLATION_PATH)/
X-	-rmdir $(DOC_PATH)/
X 	-rmdir $(DATA_PATH)/
END-of-smplayer/files/patch-Makefile
exit
--- smplayer-2.shar ends here ---

--- smplayer-qt4.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	smplayer-qt4/
#	smplayer-qt4/Makefile
#
echo c - smplayer-qt4/
mkdir -p smplayer-qt4/ > /dev/null 2>&1
echo x - smplayer-qt4/Makefile
sed 's/^X//' >smplayer-qt4/Makefile << 'END-of-smplayer-qt4/Makefile'
X# New ports collection makefile for:	smplayer-qt4
X# Date created:				16 Jun, 2007
X# Whom:	Diego Depaoli <trebestie@gmail.com> and Yinghong.Liu <liu_yinghong@yahoo.com.cn>
X#
X# $FreeBSD$
X#
X
XPKGNAMESUFFIX=	-qt4
X
XCOMMENT=	A complete front-end based on QT4 for mplayer
X
XMASTERDIR=	${.CURDIR}/../../multimedia/smplayer
X
X# Inasmuch as below case, have to using LIB_DEPENDS and BUILD_DEPENDS intead of QT_COMPONENTS.
XLIB_DEPENDS=	QtGui:${PORTSDIR}/x11-toolkits/qt4-gui \
X		QtCore:${PORTSDIR}/devel/qt4-corelib
XBUILD_DEPENDS=	qmake-qt4:${PORTSDIR}/devel/qmake4 \
X		qt3to4:${PORTSDIR}/devel/qt4-porting \
X		moc-qt4:${PORTSDIR}/devel/qt4-moc \
X		uic-qt4:${PORTSDIR}/devel/uic-qt4 \
X		${LOCALBASE}/include/Qt/Qt3Support:${PORTSDIR}/devel/qt4-qt3support \
X		uic3:${PORTSDIR}/devel/qt4-uic3
X
X# In this slave port "USER_QT_VER=4" seems invalid?
X#USER_QT_VER=	4
X# Inasmuch as above case, can't use ${QT_PREFIX} instead of ${LOCALBASE}.
XQMAKE=		${LOCALBASE}/bin/qmake-qt4
X# Inasmuch as above case, QT_COMPONENTS is invalid too.
X#QT_COMPONENTS=	qmake porting moc uic qt3support uic3 corelib
XQTDIR?=		${LOCALBASE}
XMAKE_ENV+=	QTDIR=${QTDIR} \
X		QMAKESPEC=${LOCALBASE}/share/qt4/mkspecs/freebsd-g++
XALL_TARGET=	prep src/smplayer
X
X.include "${MASTERDIR}/Makefile"
END-of-smplayer-qt4/Makefile
exit
--- smplayer-qt4.shar ends here ---
Comment 5 liu_yinghong 2007-06-18 06:15:10 UTC
New port:multimedia/smplayer-themes derive from multimedia/smplayer.Thanks!

http://www.freebsd.org/cgi/query-pr.cgi?pr=113679

--- smplayer-ports.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	smplayer
#	smplayer-ports.shar
#	smplayer-qt4
#	smplayer-themes
#	smplayer-qt4/Makefile
#	smplayer-themes/Makefile
#	smplayer-themes/distinfo
#	smplayer-themes/pkg-descr
#	smplayer-themes/pkg-plist
#	smplayer/Makefile
#	smplayer/distinfo
#	smplayer/files
#	smplayer/pkg-descr
#	smplayer/pkg-plist
#	smplayer/files/patch-Makefile
#
echo c - smplayer
mkdir -p smplayer > /dev/null 2>&1
echo x - smplayer-ports.shar
sed 's/^X//' >smplayer-ports.shar << 'END-of-smplayer-ports.shar'
X# This is a shell archive.  Save it in a file, remove anything before
X# this line, and then unpack it by entering "sh file".  Note, it may
X# create directories; files and directories will be owned by you and
X# have default permissions.
X#
X# This archive contains:
X#
X#	smplayer
X#	smplayer-ports.shar
X#	smplayer-qt4
X#	smplayer-themes
X#	smplayer-qt4/Makefile
X#	smplayer-themes/Makefile
X#	smplayer-themes/distinfo
X#	smplayer-themes/pkg-descr
X#	smplayer-themes/pkg-plist
X#	smplayer/Makefile
X#	smplayer/distinfo
X#	smplayer/files
X#	smplayer/pkg-descr
X#	smplayer/pkg-plist
X#	smplayer/files/patch-Makefile
X#
Xecho c - smplayer
Xmkdir -p smplayer > /dev/null 2>&1
Xecho x - smplayer-ports.shar
Xsed 's/^X//' >smplayer-ports.shar << 'END-of-smplayer-ports.shar'
END-of-smplayer-ports.shar
echo c - smplayer-qt4
mkdir -p smplayer-qt4 > /dev/null 2>&1
echo c - smplayer-themes
mkdir -p smplayer-themes > /dev/null 2>&1
echo x - smplayer-qt4/Makefile
sed 's/^X//' >smplayer-qt4/Makefile << 'END-of-smplayer-qt4/Makefile'
X# New ports collection makefile for:	smplayer-qt4
X# Date created:				16 Jun, 2007
X# Whom:	Diego Depaoli <trebestie@gmail.com> and Yinghong.Liu <liu_yinghong@yahoo.com.cn>
X#
X# $FreeBSD$
X#
X
XPKGNAMESUFFIX=	-qt4
X
XCOMMENT=	A complete front-end based on QT4 for mplayer
X
XCONFLICTS=	smplayer-[0-9]*
X
XMASTERDIR=	${.CURDIR}/../../multimedia/smplayer
X
X.include "${MASTERDIR}/Makefile"
END-of-smplayer-qt4/Makefile
echo x - smplayer-themes/Makefile
sed 's/^X//' >smplayer-themes/Makefile << 'END-of-smplayer-themes/Makefile'
X# New ports collection makefile for:	mplayer-themes
X# Date created:				18 Jun, 2007
X# Whom:	Diego Depaoli <trebestie@gmail.com> and Yinghong.Liu <liu_yinghong@yahoo.com.cn>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	smplayer-themes
XPORTVERSION=	0.1.1
XCATEGORIES=	multimedia audio kde
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=smplayer
X
XMAINTAINER=	liu_yinghong@yahoo.com.cn
XCOMMENT=	Themes for smplayer
X
XNO_BUILD=	yes
X
Xpost-patch:
X	@${REINPLACE_CMD} -e 's|PREFIX=/usr/local|PREFIX=${PREFIX}|g' \
X		${WRKSRC}/Makefile
X
X.include <bsd.port.mk>
END-of-smplayer-themes/Makefile
echo x - smplayer-themes/distinfo
sed 's/^X//' >smplayer-themes/distinfo << 'END-of-smplayer-themes/distinfo'
XMD5 (smplayer-themes-0.1.1.tar.gz) = 1c1e241522ba0262b1363e3acebb3e32
XSHA256 (smplayer-themes-0.1.1.tar.gz) = ec6a0296ee7cc18a5f1db6c6eef2fda1a2cfb61f54523de15e4caad8046912a3
XSIZE (smplayer-themes-0.1.1.tar.gz) = 1118058
END-of-smplayer-themes/distinfo
echo x - smplayer-themes/pkg-descr
sed 's/^X//' >smplayer-themes/pkg-descr << 'END-of-smplayer-themes/pkg-descr'
XThis is the port of themes for smplayer.
X
XWWW: http://smplayer.sourceforge.net/
END-of-smplayer-themes/pkg-descr
echo x - smplayer-themes/pkg-plist
sed 's/^X//' >smplayer-themes/pkg-plist << 'END-of-smplayer-themes/pkg-plist'
Xshare/smplayer/themes/Oxygen/README.txt
Xshare/smplayer/themes/Oxygen/cdrom_drive.png
Xshare/smplayer/themes/Oxygen/copy.png
Xshare/smplayer/themes/Oxygen/down.png
Xshare/smplayer/themes/Oxygen/dvd.png
Xshare/smplayer/themes/Oxygen/dvd_drive.png
Xshare/smplayer/themes/Oxygen/dvd_hd.png
Xshare/smplayer/themes/Oxygen/exit.png
Xshare/smplayer/themes/Oxygen/forward10m.png
Xshare/smplayer/themes/Oxygen/forward10s.png
Xshare/smplayer/themes/Oxygen/forward1m.png
Xshare/smplayer/themes/Oxygen/fullscreen.png
Xshare/smplayer/themes/Oxygen/info.png
Xshare/smplayer/themes/Oxygen/logs.png
Xshare/smplayer/themes/Oxygen/monitor.png
Xshare/smplayer/themes/Oxygen/mouse.png
Xshare/smplayer/themes/Oxygen/ok.png
Xshare/smplayer/themes/Oxygen/open.png
Xshare/smplayer/themes/Oxygen/openfolder.png
Xshare/smplayer/themes/Oxygen/pause.png
Xshare/smplayer/themes/Oxygen/play.png
Xshare/smplayer/themes/Oxygen/playlist.png
Xshare/smplayer/themes/Oxygen/pref_advanced.png
Xshare/smplayer/themes/Oxygen/pref_devices.png
Xshare/smplayer/themes/Oxygen/pref_general.png
Xshare/smplayer/themes/Oxygen/pref_gui.png
Xshare/smplayer/themes/Oxygen/pref_performance.png
Xshare/smplayer/themes/Oxygen/pref_subtitles.png
Xshare/smplayer/themes/Oxygen/prefs.png
Xshare/smplayer/themes/Oxygen/previous.png
Xshare/smplayer/themes/Oxygen/save.png
Xshare/smplayer/themes/Oxygen/screenshot.png
Xshare/smplayer/themes/Oxygen/speaker.png
Xshare/smplayer/themes/Oxygen/stop.png
Xshare/smplayer/themes/Oxygen/up.png
Xshare/smplayer/themes/Oxygen/url.png
Xshare/smplayer/themes/Oxygen/volume.png
Xshare/smplayer/themes/Oxygen/xnext.png
Xshare/smplayer/themes/Oxygen/xrepeat-old.png
Xshare/smplayer/themes/Oxygen/xrepeat.png
Xshare/smplayer/themes/Oxygen/xresize_window.png
Xshare/smplayer/themes/Oxygen/xrewind10m.png
Xshare/smplayer/themes/Oxygen/xrewind10s.png
Xshare/smplayer/themes/Oxygen/xrewind1m.png
Xshare/smplayer/themes/Play/audio_channels.png
Xshare/smplayer/themes/Play/background.png
Xshare/smplayer/themes/Play/down.png
Xshare/smplayer/themes/Play/file_codecs.png
Xshare/smplayer/themes/Play/forward10m.png
Xshare/smplayer/themes/Play/forward10s.png
Xshare/smplayer/themes/Play/forward1m.png
Xshare/smplayer/themes/Play/fullscreen.png
Xshare/smplayer/themes/Play/mute.png
Xshare/smplayer/themes/Play/ok.png
Xshare/smplayer/themes/Play/osd.png
Xshare/smplayer/themes/Play/pause.png
Xshare/smplayer/themes/Play/play.png
Xshare/smplayer/themes/Play/previous.png
Xshare/smplayer/themes/Play/screenshot.png
Xshare/smplayer/themes/Play/speaker.png
Xshare/smplayer/themes/Play/speed.png
Xshare/smplayer/themes/Play/stereo_mode.png
Xshare/smplayer/themes/Play/stop.png
Xshare/smplayer/themes/Play/style.qss
Xshare/smplayer/themes/Play/up.png
Xshare/smplayer/themes/Play/volume.png
Xshare/smplayer/themes/Play/xnext.png
Xshare/smplayer/themes/Play/xrewind10m.png
Xshare/smplayer/themes/Play/xrewind10s.png
Xshare/smplayer/themes/Play/xrewind1m.png
Xshare/smplayer/themes/Silk/angle.png
Xshare/smplayer/themes/Silk/aspect.png
Xshare/smplayer/themes/Silk/audio_channels.png
Xshare/smplayer/themes/Silk/audio_down.png
Xshare/smplayer/themes/Silk/audio_track.png
Xshare/smplayer/themes/Silk/audio_up.png
Xshare/smplayer/themes/Silk/chapter.png
Xshare/smplayer/themes/Silk/compact.png
Xshare/smplayer/themes/Silk/copy.png
Xshare/smplayer/themes/Silk/delay_down.png
Xshare/smplayer/themes/Silk/delay_up.png
Xshare/smplayer/themes/Silk/delete.png
Xshare/smplayer/themes/Silk/down.png
Xshare/smplayer/themes/Silk/dvd.png
Xshare/smplayer/themes/Silk/dvd_hd.png
Xshare/smplayer/themes/Silk/equalizer.png
Xshare/smplayer/themes/Silk/exit.png
Xshare/smplayer/themes/Silk/file_codecs.png
Xshare/smplayer/themes/Silk/forward10m.png
Xshare/smplayer/themes/Silk/forward10s.png
Xshare/smplayer/themes/Silk/forward1m.png
Xshare/smplayer/themes/Silk/frame_step.png
Xshare/smplayer/themes/Silk/fullscreen.png
Xshare/smplayer/themes/Silk/info.png
Xshare/smplayer/themes/Silk/logs.png
Xshare/smplayer/themes/Silk/minus.png
Xshare/smplayer/themes/Silk/mute.png
Xshare/smplayer/themes/Silk/ok.png
Xshare/smplayer/themes/Silk/ontop.png
Xshare/smplayer/themes/Silk/open.png
Xshare/smplayer/themes/Silk/open_playlist.png
Xshare/smplayer/themes/Silk/open_playlist2.png
Xshare/smplayer/themes/Silk/openfolder.png
Xshare/smplayer/themes/Silk/osd.png
Xshare/smplayer/themes/Silk/pause.png
Xshare/smplayer/themes/Silk/play.png
Xshare/smplayer/themes/Silk/player_start.png
Xshare/smplayer/themes/Silk/playlist.png
Xshare/smplayer/themes/Silk/plus.png
Xshare/smplayer/themes/Silk/pref_advanced.png
Xshare/smplayer/themes/Silk/pref_devices.png
Xshare/smplayer/themes/Silk/pref_general.png
Xshare/smplayer/themes/Silk/pref_gui.png
Xshare/smplayer/themes/Silk/pref_performance.png
Xshare/smplayer/themes/Silk/pref_subtitles.png
Xshare/smplayer/themes/Silk/prefs.png
Xshare/smplayer/themes/Silk/previous.png
Xshare/smplayer/themes/Silk/readme.txt
Xshare/smplayer/themes/Silk/save.png
Xshare/smplayer/themes/Silk/screenshot.png
Xshare/smplayer/themes/Silk/shuffle.png
Xshare/smplayer/themes/Silk/speed.png
Xshare/smplayer/themes/Silk/stereo_mode.png
Xshare/smplayer/themes/Silk/stop.png
Xshare/smplayer/themes/Silk/sub.png
Xshare/smplayer/themes/Silk/sub_down.png
Xshare/smplayer/themes/Silk/sub_up.png
Xshare/smplayer/themes/Silk/up.png
Xshare/smplayer/themes/Silk/url.png
Xshare/smplayer/themes/Silk/video.png
Xshare/smplayer/themes/Silk/video_filters.png
Xshare/smplayer/themes/Silk/volume.png
Xshare/smplayer/themes/Silk/xnext.png
Xshare/smplayer/themes/Silk/xrecents.png
Xshare/smplayer/themes/Silk/xrepeat.png
Xshare/smplayer/themes/Silk/xrewind10m.png
Xshare/smplayer/themes/Silk/xrewind10s.png
Xshare/smplayer/themes/Silk/xrewind1m.png
Xshare/smplayer/themes/Silk/xtitle.png
Xshare/smplayer/themes/blackPanther-Light/Readme.txt
Xshare/smplayer/themes/blackPanther-Light/aspect.png
Xshare/smplayer/themes/blackPanther-Light/background.png
Xshare/smplayer/themes/blackPanther-Light/cdrom_drive.png
Xshare/smplayer/themes/blackPanther-Light/chapter.png
Xshare/smplayer/themes/blackPanther-Light/down.png
Xshare/smplayer/themes/blackPanther-Light/dvd.png
Xshare/smplayer/themes/blackPanther-Light/dvd_drive.png
Xshare/smplayer/themes/blackPanther-Light/dvd_hd.png
Xshare/smplayer/themes/blackPanther-Light/exit.png
Xshare/smplayer/themes/blackPanther-Light/fileopen.png
Xshare/smplayer/themes/blackPanther-Light/forward10m.png
Xshare/smplayer/themes/blackPanther-Light/forward10s.png
Xshare/smplayer/themes/blackPanther-Light/forward1m.png
Xshare/smplayer/themes/blackPanther-Light/fullscreen.png
Xshare/smplayer/themes/blackPanther-Light/info.png
Xshare/smplayer/themes/blackPanther-Light/input_devices.png
Xshare/smplayer/themes/blackPanther-Light/keyboard.png
Xshare/smplayer/themes/blackPanther-Light/logs.png
Xshare/smplayer/themes/blackPanther-Light/monitor.png
Xshare/smplayer/themes/blackPanther-Light/mouse.png
Xshare/smplayer/themes/blackPanther-Light/mute.png
Xshare/smplayer/themes/blackPanther-Light/ok.png
Xshare/smplayer/themes/blackPanther-Light/open.png
Xshare/smplayer/themes/blackPanther-Light/openfolder.png
Xshare/smplayer/themes/blackPanther-Light/pause.png
Xshare/smplayer/themes/blackPanther-Light/play.png
Xshare/smplayer/themes/blackPanther-Light/playlist.png
Xshare/smplayer/themes/blackPanther-Light/plus.png
Xshare/smplayer/themes/blackPanther-Light/pref_advanced.png
Xshare/smplayer/themes/blackPanther-Light/pref_devices.png
Xshare/smplayer/themes/blackPanther-Light/pref_general.png
Xshare/smplayer/themes/blackPanther-Light/pref_gui.png
Xshare/smplayer/themes/blackPanther-Light/pref_performance.png
Xshare/smplayer/themes/blackPanther-Light/pref_subtitles.png
Xshare/smplayer/themes/blackPanther-Light/prefs.png
Xshare/smplayer/themes/blackPanther-Light/preview.png
Xshare/smplayer/themes/blackPanther-Light/previous.png
Xshare/smplayer/themes/blackPanther-Light/save.png
Xshare/smplayer/themes/blackPanther-Light/screenshot.png
Xshare/smplayer/themes/blackPanther-Light/speaker.png
Xshare/smplayer/themes/blackPanther-Light/speed.png
Xshare/smplayer/themes/blackPanther-Light/stop.png
Xshare/smplayer/themes/blackPanther-Light/sub.png
Xshare/smplayer/themes/blackPanther-Light/up.png
Xshare/smplayer/themes/blackPanther-Light/url.png
Xshare/smplayer/themes/blackPanther-Light/video.png
Xshare/smplayer/themes/blackPanther-Light/volume.png
Xshare/smplayer/themes/blackPanther-Light/xnext.png
Xshare/smplayer/themes/blackPanther-Light/xrepeat.png
Xshare/smplayer/themes/blackPanther-Light/xrewind10m.png
Xshare/smplayer/themes/blackPanther-Light/xrewind10s.png
Xshare/smplayer/themes/blackPanther-Light/xrewind1m.png
Xshare/smplayer/themes/blackPanther-Light/xtitle.png
Xshare/smplayer/themes/blackPanther-MacLike/aspect..png
Xshare/smplayer/themes/blackPanther-MacLike/aspect.png
Xshare/smplayer/themes/blackPanther-MacLike/background.png
Xshare/smplayer/themes/blackPanther-MacLike/cdrom_drive.png
Xshare/smplayer/themes/blackPanther-MacLike/chapter.png
Xshare/smplayer/themes/blackPanther-MacLike/compact.png
Xshare/smplayer/themes/blackPanther-MacLike/copy.png
Xshare/smplayer/themes/blackPanther-MacLike/delete.png
Xshare/smplayer/themes/blackPanther-MacLike/down.png
Xshare/smplayer/themes/blackPanther-MacLike/dvd.png
Xshare/smplayer/themes/blackPanther-MacLike/dvd_drive.png
Xshare/smplayer/themes/blackPanther-MacLike/dvd_hd.png
Xshare/smplayer/themes/blackPanther-MacLike/edit.png
Xshare/smplayer/themes/blackPanther-MacLike/exit.png
Xshare/smplayer/themes/blackPanther-MacLike/forward10m.png
Xshare/smplayer/themes/blackPanther-MacLike/forward10s.png
Xshare/smplayer/themes/blackPanther-MacLike/forward1m.png
Xshare/smplayer/themes/blackPanther-MacLike/fullscreen.png
Xshare/smplayer/themes/blackPanther-MacLike/info.png
Xshare/smplayer/themes/blackPanther-MacLike/input_devices.png
Xshare/smplayer/themes/blackPanther-MacLike/keyboard.png
Xshare/smplayer/themes/blackPanther-MacLike/logs.png
Xshare/smplayer/themes/blackPanther-MacLike/minus.png
Xshare/smplayer/themes/blackPanther-MacLike/monitor.png
Xshare/smplayer/themes/blackPanther-MacLike/mouse.png
Xshare/smplayer/themes/blackPanther-MacLike/mute.png
Xshare/smplayer/themes/blackPanther-MacLike/ok.png
Xshare/smplayer/themes/blackPanther-MacLike/open.png
Xshare/smplayer/themes/blackPanther-MacLike/openfolder.png
Xshare/smplayer/themes/blackPanther-MacLike/pause.png
Xshare/smplayer/themes/blackPanther-MacLike/play.png
Xshare/smplayer/themes/blackPanther-MacLike/playlist.png
Xshare/smplayer/themes/blackPanther-MacLike/plus.png
Xshare/smplayer/themes/blackPanther-MacLike/pref_advanced.png
Xshare/smplayer/themes/blackPanther-MacLike/pref_devices.png
Xshare/smplayer/themes/blackPanther-MacLike/pref_general.png
Xshare/smplayer/themes/blackPanther-MacLike/pref_gui.png
Xshare/smplayer/themes/blackPanther-MacLike/pref_performance.png
Xshare/smplayer/themes/blackPanther-MacLike/pref_subtitles.png
Xshare/smplayer/themes/blackPanther-MacLike/prefs.png
Xshare/smplayer/themes/blackPanther-MacLike/previous.png
Xshare/smplayer/themes/blackPanther-MacLike/save.png
Xshare/smplayer/themes/blackPanther-MacLike/screenshot.png
Xshare/smplayer/themes/blackPanther-MacLike/shuffle.png
Xshare/smplayer/themes/blackPanther-MacLike/speaker.png
Xshare/smplayer/themes/blackPanther-MacLike/speed.png
Xshare/smplayer/themes/blackPanther-MacLike/stop.png
Xshare/smplayer/themes/blackPanther-MacLike/sub.png
Xshare/smplayer/themes/blackPanther-MacLike/up.png
Xshare/smplayer/themes/blackPanther-MacLike/url.png
Xshare/smplayer/themes/blackPanther-MacLike/view_choose.png
Xshare/smplayer/themes/blackPanther-MacLike/volume.png
Xshare/smplayer/themes/blackPanther-MacLike/xnext.png
Xshare/smplayer/themes/blackPanther-MacLike/xrepeat.png
Xshare/smplayer/themes/blackPanther-MacLike/xresize_window.png
Xshare/smplayer/themes/blackPanther-MacLike/xrewind10m.png
Xshare/smplayer/themes/blackPanther-MacLike/xrewind10s.png
Xshare/smplayer/themes/blackPanther-MacLike/xrewind1m.png
Xshare/smplayer/themes/blackPanther-MacLike/xtitle.png
Xshare/smplayer/themes/blackPanther-Real/Readme.txt
Xshare/smplayer/themes/blackPanther-Real/aspect.png
Xshare/smplayer/themes/blackPanther-Real/background.png
Xshare/smplayer/themes/blackPanther-Real/cdrom_drive.png
Xshare/smplayer/themes/blackPanther-Real/chapter.png
Xshare/smplayer/themes/blackPanther-Real/copy.png
Xshare/smplayer/themes/blackPanther-Real/delete.png
Xshare/smplayer/themes/blackPanther-Real/down.png
Xshare/smplayer/themes/blackPanther-Real/dvd.png
Xshare/smplayer/themes/blackPanther-Real/dvd_drive.png
Xshare/smplayer/themes/blackPanther-Real/dvd_hd.png
Xshare/smplayer/themes/blackPanther-Real/exit.png
Xshare/smplayer/themes/blackPanther-Real/forward10m.png
Xshare/smplayer/themes/blackPanther-Real/forward10s.png
Xshare/smplayer/themes/blackPanther-Real/forward1m.png
Xshare/smplayer/themes/blackPanther-Real/fullscreen.png
Xshare/smplayer/themes/blackPanther-Real/info.png
Xshare/smplayer/themes/blackPanther-Real/input_devices.png
Xshare/smplayer/themes/blackPanther-Real/keyboard.png
Xshare/smplayer/themes/blackPanther-Real/logs.png
Xshare/smplayer/themes/blackPanther-Real/minus.png
Xshare/smplayer/themes/blackPanther-Real/monitor.png
Xshare/smplayer/themes/blackPanther-Real/mouse.png
Xshare/smplayer/themes/blackPanther-Real/mute.png
Xshare/smplayer/themes/blackPanther-Real/ok.png
Xshare/smplayer/themes/blackPanther-Real/open.png
Xshare/smplayer/themes/blackPanther-Real/openfolder.png
Xshare/smplayer/themes/blackPanther-Real/pause.png
Xshare/smplayer/themes/blackPanther-Real/play.png
Xshare/smplayer/themes/blackPanther-Real/playlist.png
Xshare/smplayer/themes/blackPanther-Real/plus.png
Xshare/smplayer/themes/blackPanther-Real/pref_advanced.png
Xshare/smplayer/themes/blackPanther-Real/pref_devices.png
Xshare/smplayer/themes/blackPanther-Real/pref_general.png
Xshare/smplayer/themes/blackPanther-Real/pref_gui.png
Xshare/smplayer/themes/blackPanther-Real/pref_performance.png
Xshare/smplayer/themes/blackPanther-Real/pref_subtitles.png
Xshare/smplayer/themes/blackPanther-Real/prefs.png
Xshare/smplayer/themes/blackPanther-Real/previous.png
Xshare/smplayer/themes/blackPanther-Real/save.png
Xshare/smplayer/themes/blackPanther-Real/screenshot.png
Xshare/smplayer/themes/blackPanther-Real/shuffle.png
Xshare/smplayer/themes/blackPanther-Real/speaker.png
Xshare/smplayer/themes/blackPanther-Real/speed.png
Xshare/smplayer/themes/blackPanther-Real/stop.png
Xshare/smplayer/themes/blackPanther-Real/sub.png
Xshare/smplayer/themes/blackPanther-Real/sub1.png
Xshare/smplayer/themes/blackPanther-Real/up.png
Xshare/smplayer/themes/blackPanther-Real/url.png
Xshare/smplayer/themes/blackPanther-Real/video.png
Xshare/smplayer/themes/blackPanther-Real/video2.png
Xshare/smplayer/themes/blackPanther-Real/volume-max.png
Xshare/smplayer/themes/blackPanther-Real/volume-zero.png
Xshare/smplayer/themes/blackPanther-Real/volume.png
Xshare/smplayer/themes/blackPanther-Real/xnext.png
Xshare/smplayer/themes/blackPanther-Real/xrepeat.png
Xshare/smplayer/themes/blackPanther-Real/xresize_window.png
Xshare/smplayer/themes/blackPanther-Real/xrewind10m.png
Xshare/smplayer/themes/blackPanther-Real/xrewind10s.png
Xshare/smplayer/themes/blackPanther-Real/xrewind1m.png
Xshare/smplayer/themes/blackPanther-Real/xtitle.png
Xshare/smplayer/themes/blackPanther-VistaLike/Readme.txt
Xshare/smplayer/themes/blackPanther-VistaLike/background.png
Xshare/smplayer/themes/blackPanther-VistaLike/cdrom_drive.png
Xshare/smplayer/themes/blackPanther-VistaLike/copy.png
Xshare/smplayer/themes/blackPanther-VistaLike/down.png
Xshare/smplayer/themes/blackPanther-VistaLike/dvd.png
Xshare/smplayer/themes/blackPanther-VistaLike/dvd_drive.png
Xshare/smplayer/themes/blackPanther-VistaLike/dvd_hd.png
Xshare/smplayer/themes/blackPanther-VistaLike/exit.png
Xshare/smplayer/themes/blackPanther-VistaLike/finish.png
Xshare/smplayer/themes/blackPanther-VistaLike/folder_new.png
Xshare/smplayer/themes/blackPanther-VistaLike/forward10m.png
Xshare/smplayer/themes/blackPanther-VistaLike/forward10s.png
Xshare/smplayer/themes/blackPanther-VistaLike/forward1m.png
Xshare/smplayer/themes/blackPanther-VistaLike/imput_devices.png
Xshare/smplayer/themes/blackPanther-VistaLike/info.png
Xshare/smplayer/themes/blackPanther-VistaLike/logs.png
Xshare/smplayer/themes/blackPanther-VistaLike/minus.png
Xshare/smplayer/themes/blackPanther-VistaLike/monitor.png
Xshare/smplayer/themes/blackPanther-VistaLike/mouse.png
Xshare/smplayer/themes/blackPanther-VistaLike/mute.png
Xshare/smplayer/themes/blackPanther-VistaLike/ok.png
Xshare/smplayer/themes/blackPanther-VistaLike/open.png
Xshare/smplayer/themes/blackPanther-VistaLike/openfolder.png
Xshare/smplayer/themes/blackPanther-VistaLike/pause.png
Xshare/smplayer/themes/blackPanther-VistaLike/play.png
Xshare/smplayer/themes/blackPanther-VistaLike/player_start.png
Xshare/smplayer/themes/blackPanther-VistaLike/player_volume.png
Xshare/smplayer/themes/blackPanther-VistaLike/playlist.png
Xshare/smplayer/themes/blackPanther-VistaLike/plus.png
Xshare/smplayer/themes/blackPanther-VistaLike/pref_advanced.png
Xshare/smplayer/themes/blackPanther-VistaLike/pref_devices.png
Xshare/smplayer/themes/blackPanther-VistaLike/pref_general.png
Xshare/smplayer/themes/blackPanther-VistaLike/pref_gui.png
Xshare/smplayer/themes/blackPanther-VistaLike/pref_performance.png
Xshare/smplayer/themes/blackPanther-VistaLike/pref_subtitles.png
Xshare/smplayer/themes/blackPanther-VistaLike/prefs.png
Xshare/smplayer/themes/blackPanther-VistaLike/preview.jpg
Xshare/smplayer/themes/blackPanther-VistaLike/previous.png
Xshare/smplayer/themes/blackPanther-VistaLike/save.png
Xshare/smplayer/themes/blackPanther-VistaLike/speaker.png
Xshare/smplayer/themes/blackPanther-VistaLike/speed.png
Xshare/smplayer/themes/blackPanther-VistaLike/stop.png
Xshare/smplayer/themes/blackPanther-VistaLike/up.png
Xshare/smplayer/themes/blackPanther-VistaLike/url.png
Xshare/smplayer/themes/blackPanther-VistaLike/volume.png
Xshare/smplayer/themes/blackPanther-VistaLike/xnext.png
Xshare/smplayer/themes/blackPanther-VistaLike/xrepeat.png
Xshare/smplayer/themes/blackPanther-VistaLike/xresize_window.png
Xshare/smplayer/themes/blackPanther-VistaLike/xrewind10m.png
Xshare/smplayer/themes/blackPanther-VistaLike/xrewind10s.png
Xshare/smplayer/themes/blackPanther-VistaLike/xrewind1m.png
Xshare/smplayer/themes/blackPanther-VistaLike/xtitle.png
X@dirrm share/smplayer/themes/blackPanther-VistaLike
X@dirrm share/smplayer/themes/blackPanther-Real
X@dirrm share/smplayer/themes/blackPanther-MacLike
X@dirrm share/smplayer/themes/blackPanther-Light
X@dirrm share/smplayer/themes/Silk
X@dirrm share/smplayer/themes/Play
X@dirrm share/smplayer/themes/Oxygen
X@dirrm share/smplayer/themes
X@dirrmtry share/smplayer
END-of-smplayer-themes/pkg-plist
echo x - smplayer/Makefile
sed 's/^X//' >smplayer/Makefile << 'END-of-smplayer/Makefile'
X# New ports collection makefile for:	smplayer
X# Date created:				13 Jun, 2007
X# Whom:	Diego Depaoli <trebestie@gmail.com> and Yinghong.Liu <liu_yinghong@yahoo.com.cn>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	smplayer
XDISTVERSION=	0.5.0
XCATEGORIES=	multimedia audio kde
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=${PORTNAME}
X
XMAINTAINER=	liu_yinghong@yahoo.com.cn
XCOMMENT?=	A complete front-end based on QT3 for mplayer
X
XRUN_DEPENDS=	mplayer:${PORTSDIR}/multimedia/mplayer \
X		${LOCALBASE}/share/smplayer/themes:${PORTSDIR}/multimedia/smplayer-themes
X
X.if defined(PKGNAMESUFFIX) && ${PKGNAMESUFFIX} == "-qt4"
XUSE_QT_VER=	4
XQT_COMPONENTS=	qmake porting moc uic qt3support uic3 corelib gui
X
XALL_TARGET=	prep src/smplayer
X.else
XUSE_QT_VER=	3
X
XCONFLICTS?=	smplayer-qt4-[0-9]*
X
XBUILD_DEPENDS+=	qmake:${PORTSDIR}/devel/qmake
X
XQMAKE=		${QT_PREFIX}/bin/qmake
X
XMAKE_ENV+=	QTDIR=${QT_PREFIX} \
X		QMAKESPEC=${LOCALBASE}/share/qt/mkspecs/freebsd-g++
X
XALL_TARGET=	src/smplayer
X
X.if defined(WITH_KDE)
XUSE_KDELIBS_VER=3
XMAKE_ARGS+=	KDE_SUPPORT=1
X.endif
X.endif
X
XUSE_GMAKE=	yes
XINSTALLS_ICONS=	yes
X
XPORTDOCS=	Changelog Configurable_shortcuts.txt Install.txt \
X		Copying.txt Not_so_obvious_things.txt Translations.txt \
X		Icon_themes.txt Readme.txt
X
Xpost-patch:
X	@${REINPLACE_CMD} -e 's|qmake|${QMAKE}|g' \
X		-e 's|PREFIX=/usr/local|PREFIX=${PREFIX}|g' \
X		${WRKSRC}/Makefile
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X.for doc in ${PORTDOCS}
X	@${INSTALL_DATA} ${WRKSRC}/${doc} ${DOCSDIR}
X.endfor
X.endif
X
X.include <bsd.port.mk>
END-of-smplayer/Makefile
echo x - smplayer/distinfo
sed 's/^X//' >smplayer/distinfo << 'END-of-smplayer/distinfo'
XMD5 (smplayer-0.5.0.tar.gz) = e3282320cb1b186e601511ec51bacdbe
XSHA256 (smplayer-0.5.0.tar.gz) = bb7813566efc0e62d52c68791d6281f66714b3498f5fdc9c5240986ec466a33c
XSIZE (smplayer-0.5.0.tar.gz) = 917326
END-of-smplayer/distinfo
echo c - smplayer/files
mkdir -p smplayer/files > /dev/null 2>&1
echo x - smplayer/pkg-descr
sed 's/^X//' >smplayer/pkg-descr << 'END-of-smplayer/pkg-descr'
Xsmplayer intents to be a complete front-end for mplayer,from
Xbasic features like playing videos, dvds, vcdsto more advancing
Xfeatures like support for mplayer filters,edl lists, and more.
X
XWWW: http://smplayer.sourceforge.net/
END-of-smplayer/pkg-descr
echo x - smplayer/pkg-plist
sed 's/^X//' >smplayer/pkg-plist << 'END-of-smplayer/pkg-plist'
Xbin/smplayer
Xshare/applications/smplayer.desktop
Xshare/icons/hicolor/16x16/apps/smplayer.png
Xshare/icons/hicolor/22x22/apps/smplayer.png
Xshare/icons/hicolor/32x32/apps/smplayer.png
Xshare/icons/hicolor/64x64/apps/smplayer.png
X%%DATADIR%%/input.conf
X%%DATADIR%%/shortcuts/default.keys
X%%DATADIR%%/translations/smplayer_bg.qm
X%%DATADIR%%/translations/smplayer_cs.qm
X%%DATADIR%%/translations/smplayer_de.qm
X%%DATADIR%%/translations/smplayer_en_US.qm
X%%DATADIR%%/translations/smplayer_es.qm
X%%DATADIR%%/translations/smplayer_fr.qm
X%%DATADIR%%/translations/smplayer_hu.qm
X%%DATADIR%%/translations/smplayer_it.qm
X%%DATADIR%%/translations/smplayer_ja.qm
X%%DATADIR%%/translations/smplayer_ka.qm
X%%DATADIR%%/translations/smplayer_nl.qm
X%%DATADIR%%/translations/smplayer_pl.qm
X%%DATADIR%%/translations/smplayer_pt_BR.qm
X%%DATADIR%%/translations/smplayer_ru_RU.qm
X%%DATADIR%%/translations/smplayer_sk.qm
X%%DATADIR%%/translations/smplayer_sr.qm
X%%DATADIR%%/translations/smplayer_sv.qm
X%%DATADIR%%/translations/smplayer_tr.qm
X%%DATADIR%%/translations/smplayer_uk_UA.qm
X%%DATADIR%%/translations/smplayer_zh_CN.qm
X%%DATADIR%%/translations/smplayer_zh_TW.qm
X@dirrm %%DATADIR%%/translations
X@dirrm %%DATADIR%%/shortcuts
X@dirrmtry %%DATADIR%%
X@dirrmtry share/icons/hicolor/64x64/apps
X@dirrmtry share/icons/hicolor/64x64
X@dirrmtry share/icons/hicolor/32x32/apps
X@dirrmtry share/icons/hicolor/32x32
X@dirrmtry share/icons/hicolor/22x22/apps
X@dirrmtry share/icons/hicolor/22x22
X@dirrmtry share/icons/hicolor/16x16/apps
X@dirrmtry share/icons/hicolor/16x16
X@dirrmtry share/icons/hicolor
X@dirrmtry share/icons
X@dirrmtry share/applications
END-of-smplayer/pkg-plist
echo x - smplayer/files/patch-Makefile
sed 's/^X//' >smplayer/files/patch-Makefile << 'END-of-smplayer/files/patch-Makefile'
X--- Makefile.orig	Thu Jun 14 20:12:01 2007
X+++ Makefile	Thu Jun 14 20:13:14 2007
X@@ -5,7 +5,6 @@
X CONF_PREFIX=$(PREFIX)
X 
X DATA_PATH=$(PREFIX)/share/smplayer
X-DOC_PATH=$(PREFIX)/share/doc/packages/smplayer
X TRANSLATION_PATH=$(PREFIX)/share/smplayer/translations
X CONF_PATH=$(CONF_PREFIX)/etc/smplayer
X THEMES_PATH=$(PREFIX)/share/smplayer/themes
X@@ -22,7 +21,7 @@
X 
X DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" CONF_PATH=\\\"$(CONF_PATH)\\\" \
X      TRANSLATION_PATH=\\\"$(TRANSLATION_PATH)\\\" \
X-     DOC_PATH=\\\"$(DOC_PATH)\\\" THEMES_PATH=\\\"$(THEMES_PATH)\\\" \
X+     THEMES_PATH=\\\"$(THEMES_PATH)\\\" \
X      SHORTCUTS_PATH=\\\"$(SHORTCUTS_PATH)\\\"
X 
X 
X@@ -58,8 +57,6 @@
X 	install -m 644 src/input.conf $(DESTDIR)$(DATA_PATH)
X 	-install -d $(DESTDIR)$(TRANSLATION_PATH)
X 	install -m 644 src/translations/*.qm $(DESTDIR)$(TRANSLATION_PATH)
X-	-install -d $(DESTDIR)$(DOC_PATH)
X-	install -m 644 Changelog *.txt $(DESTDIR)$(DOC_PATH)
X 
X 	-install -d $(DESTDIR)$(SHORTCUTS_PATH)
X 	cp src/shortcuts/* $(DESTDIR)$(SHORTCUTS_PATH)
X@@ -79,8 +76,6 @@
X 	-rm $(PREFIX)/bin/smplayer
X 	-rm $(DATA_PATH)/input.conf
X 	-rm $(TRANSLATION_PATH)/*.qm
X-	-rm $(DOC_PATH)/Changelog
X-	-rm $(DOC_PATH)/*.txt
X 	-rm $(SHORTCUTS_PATH)/*.keys
X 	-rm $(KDE_ICONS)/64x64/apps/smplayer.png
X 	-rm $(KDE_ICONS)/32x32/apps/smplayer.png
X@@ -88,5 +83,4 @@
X 	-rm $(KDE_ICONS)/16x16/apps/smplayer.png
X 	-rm $(KDE_APPLNK)/smplayer.desktop
X 	-rmdir $(TRANSLATION_PATH)/
X-	-rmdir $(DOC_PATH)/
X 	-rmdir $(DATA_PATH)/
END-of-smplayer/files/patch-Makefile
exit
--- smplayer-ports.shar ends here ---
Comment 6 dfilter service freebsd_committer 2007-06-18 15:01:36 UTC
rafan       2007-06-18 14:01:28 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/smplayer-themes Makefile distinfo pkg-descr 
                               pkg-plist 
  Log:
  Add smplayer-themes 0.1.1, themes for smplayer.
  
  PR:             ports/112535, ports/113679
  Submitted by:   Diego Depaoli <trebestie at gmail.com> and Yinghong.Liu <liu_yinghong at yahoo.com.cn>
  
  Revision  Changes    Path
  1.228     +1 -0      ports/multimedia/Makefile
  1.1       +25 -0     ports/multimedia/smplayer-themes/Makefile (new)
  1.1       +3 -0      ports/multimedia/smplayer-themes/distinfo (new)
  1.1       +3 -0      ports/multimedia/smplayer-themes/pkg-descr (new)
  1.1       +375 -0    ports/multimedia/smplayer-themes/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2007-06-18 15:04:33 UTC
rafan       2007-06-18 14:04:28 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/smplayer  .pkg-plist.swp Makefile distinfo 
                         pkg-descr pkg-plist 
    multimedia/smplayer/files patch-Makefile 
  Log:
  smplayer intents to be a complete front-end for mplayer,from
  basic features like playing videos, dvds, vcdsto more advancing
  features like support for mplayer filters,edl lists, and more.
  
  WWW: http://smplayer.sourceforge.net/
  
  PR:             ports/112535, ports/113679
  Submitted by:   Diego Depaoli <trebestie at gmail.com>, Yinghong.Liu <liu_yinghong at yahoo.com.cn>
  
  Revision  Changes    Path
  1.229     +1 -0      ports/multimedia/Makefile
  1.1       +8 -0      ports/multimedia/smplayer/.pkg-plist.swp (new)
  1.1       +65 -0     ports/multimedia/smplayer/Makefile (new)
  1.1       +3 -0      ports/multimedia/smplayer/distinfo (new)
  1.1       +43 -0     ports/multimedia/smplayer/files/patch-Makefile (new)
  1.1       +5 -0      ports/multimedia/smplayer/pkg-descr (new)
  1.1       +41 -0     ports/multimedia/smplayer/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2007-06-18 15:06:09 UTC
rafan       2007-06-18 14:06:03 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/smplayer-qt4 Makefile pkg-descr 
  Log:
  smplayer intents to be a complete front-end for mplayer,from
  basic features like playing videos, dvds, vcdsto more advancing
  features like support for mplayer filters,edl lists, and more.
  
  This port uses Qt4.
  
  WWW: http://smplayer.sourceforge.net/
  
  PR:             ports/112535, ports/113679
  Submitted by:   Diego Depaoli <trebestie at gmail.com>, Yinghong.Liu <liu_yinghong at yahoo.com.cn>
  
  Revision  Changes    Path
  1.230     +1 -0      ports/multimedia/Makefile
  1.1       +16 -0     ports/multimedia/smplayer-qt4/Makefile (new)
  1.1       +7 -0      ports/multimedia/smplayer-qt4/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Rong-En Fan freebsd_committer 2007-06-18 15:06:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!